Name: x11-scripts
Version: 1.0.1
Release: %mkrel 20
Summary: Scripts for X
Group: Development/X11
BuildArch: noarch
Source: https://xorg.freedesktop.org/releases/individual/app/scripts-%{version}.tar.bz2
Patch0: xauth_switch_to_sun-des_bash.patch
License: MIT
BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
This package mainly provides xon which starts an X program on a remote machine
using rsh, remsh, or rcmd.

%prep
%setup -q -n scripts-%{version}
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

%files
%license COPYING
%{_bindir}/xon
%{_bindir}/fontprop.sh
%{_bindir}/xauth_switch_to_sun-des-1
%{_bindir}/fontname.sh
%{_mandir}/man1/xon.1*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.0.1-20.mga10
+ Revision: 2209297
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 1.0.1-19.mga9
+ Revision: 1819686
- Mageia 9 Mass Rebuild

* Fri Mar 27 2020 wally <wally> 1.0.1-18.mga8
+ Revision: 1561121
- fix build on aarch64

* Wed Feb 12 2020 umeabot <umeabot> 1.0.1-17.mga8
+ Revision: 1501283
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.0.1-16.mga7
+ Revision: 1277185
- Mageia 7 Mass Rebuild

* Wed Oct 19 2016 tv <tv> 1.0.1-15.mga6
+ Revision: 1062258
- switch from %%old_configure to %%configure2_5x --build=%%{_build}

* Fri Feb 19 2016 umeabot <umeabot> 1.0.1-14.mga6
+ Revision: 970212
- Mageia 6 Mass Rebuild

* Tue Sep 29 2015 tv <tv> 1.0.1-13.mga6
+ Revision: 885013
- use %%old_configure
- make it noarch thus fixing empty debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-12.mga5
+ Revision: 745439
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-11.mga5
+ Revision: 690522
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.1-10.mga4
+ Revision: 520419
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0.1-9.mga3
+ Revision: 386392
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 ennael <ennael> 1.0.1-8.mga1
+ Revision: 27632
- imported package x11-scripts


* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-8mdv2010.1
+ Revision: 524367
- rebuilt for 2010.1

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.0.1-7mdv2009.1
+ Revision: 351251
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.0.1-6mdv2009.0
+ Revision: 226010
- rebuild

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-5mdv2008.1
+ Revision: 179640
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - fix summary-not-capitalized
    - fix no-buildroot-tag
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 30 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-4mdv2008.0
+ Revision: 75688
- manpages is not .bz2 anymore
- rebuild


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Tue May 23 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-05-23 22:34:52 (31402)
- fill in more missing descriptions

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

